sip trunks
get a sip trunk
one registered number.
GET
/
v1
/
sip-trunks
/
{trunk_id}
get a sip trunk
curl --request GET \
--url https://silk-api.rumik.ai/v1/sip-trunks/{trunk_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://silk-api.rumik.ai/v1/sip-trunks/{trunk_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://silk-api.rumik.ai/v1/sip-trunks/{trunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019f7c10-2b4e-7d5f-8a6b-7c8d9e0f1a2b",
"phoneNumber": "+919876543210",
"displayName": "support line",
"terminationUri": "sip:pstn.example-carrier.in",
"authUsername": "silk",
"hasAuth": true,
"originationUri": "sip:sip.silk.rumik.ai;transport=tcp",
"assignedAgentId": "019f6a2e-7c1d-7b3a-9e4f-1a2b3c4d5e6f",
"assignedAgentName": "support",
"status": "active",
"createdAt": "2026-09-11T10:00:00Z",
"updatedAt": "2026-09-11T10:00:00Z"
}{
"error": "Invalid API key",
"code": "unauthorized"
}{
"error": "This API key lacks the 'agent' scope",
"code": "forbidden_scope"
}{
"error": "Phone number not found",
"code": "sip_trunk_not_found"
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"limit": 100,
"current": 101
}Authorizations
your rumik api key, e.g. rk_live_.... create one in the rumik dashboard.
Path Parameters
the SIP trunk's id.
Response
ok.
one of your own numbers registered on the platform.
the trunk's id — fromTrunkId on POST /v1/calls.
the number, E.164.
whether credentials are stored.
active.
the SIP address your carrier must send inbound calls to.
the agent answering the number, or null.
that agent's name.
⌘I
get a sip trunk
